Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.DLMUserPreferences
Class TabColumnPrefsState.SelectSkinsState

    java.lang.Object
      org.jasig.portal.channels.DLMUserPreferences.BaseState
          org.jasig.portal.channels.DLMUserPreferences.TabColumnPrefsState.SelectSkinsState

All Implemented Interfaces:
  IChannel, IPrivileged, IPrivilegedChannel

Enclosing class:
  TabColumnPrefsState

    protected class TabColumnPrefsState.SelectSkinsState

extends BaseState

A sub-state of TabColumnPrefsState for selecting skins

Field Summary
`protected TabColumnPrefsState` | `context`

Fields inherited from class org.jasig.portal.channels.DLMUserPreferences.BaseState
`internalState`

Constructor Summary
`TabColumnPrefsState.SelectSkinsState(TabColumnPrefsState context)`

Method Summary
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.

Methods inherited from class org.jasig.portal.channels.DLMUserPreferences.BaseState
`getRuntimeProperties, receiveEvent, setContext, setPortalControlStructures, setState, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected TabColumnPrefsState context

Constructor Detail

### TabColumnPrefsState.SelectSkinsState

    public TabColumnPrefsState.SelectSkinsState(TabColumnPrefsState context)

Method Detail

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseState`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseState`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD